[arch-commits] Commit in epiphany-extensions/trunk (2 files)

Jan de Groot jgc at archlinux.org
Sun Oct 12 10:37:03 EDT 2008


    Date: Sunday, October 12, 2008 @ 10:37:03
  Author: jgc
Revision: 15079

upgpkg: epiphany-extensions 2.24.0-1

Modified:
  epiphany-extensions/trunk/PKGBUILD
  epiphany-extensions/trunk/epiphany-extensions.install

-----------------------------+
 PKGBUILD                    |   22 +++++++++++-----------
 epiphany-extensions.install |    4 ----
 2 files changed, 11 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-12 14:36:08 UTC (rev 15078)
+++ PKGBUILD	2008-10-12 14:37:03 UTC (rev 15079)
@@ -2,30 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=epiphany-extensions
-pkgver=2.22.2
-pkgrel=2
+pkgver=2.24.0
+pkgrel=1
 url="http://www.gnome.org/projects/epiphany/"
 pkgdesc="Various extentions for the Epiphany web browser"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('epiphany>=2.22.2-2' 'xulrunner>=1.9' 'python>=2.5' 'opensp')
-makedepends=('pkgconfig' 'gnome-doc-utils>=0.12.2')
+depends=('epiphany>=2.24.0.1' 'xulrunner>=1.9.0.3' 'python>=2.5.2' 'opensp')
+makedepends=('pkgconfig' 'gnome-doc-utils>=0.14.0')
 options=('!libtool' '!emptydirs')
 install=epiphany-extensions.install
-source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('9728577d63117275d8f12d529ecc866d')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('b8bbe16e0bc5b2549c9bea5edf88762a')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var \
 	      --with-gecko=libxul-embedding \
 	      --with-extensions=really-all --disable-scrollkeeper || return 1
   make || return 1
 
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -d -m755 ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -d -m755 "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Modified: epiphany-extensions.install
===================================================================
--- epiphany-extensions.install	2008-10-12 14:36:08 UTC (rev 15078)
+++ epiphany-extensions.install	2008-10-12 14:37:03 UTC (rev 15079)
@@ -15,7 +15,3 @@
 pre_remove() {
   usr/sbin/gconfpkg --uninstall ${pkgname}
 }
-
-post_remove() {
-  /bin/true
-}




More information about the arch-commits mailing list